Bug 1335418 (CVE-2016-3724) - CVE-2016-3724 jenkins: Encrypted secrets (e.g. passwords) were leaked to users with permission to read configuration (SECURITY-266)
Summary: CVE-2016-3724 jenkins: Encrypted secrets (e.g. passwords) were leaked to user...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3724
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1335427 1349611
Blocks: 1335425
TreeView+ depends on / blocked
 
Reported: 2016-05-12 08:32 UTC by Andrej Nemec
Modified: 2019-09-29 13:49 UTC (History)
16 users (show)

Fixed In Version: Jenkins 2.3, Jenkins 1.651.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-06 19:14:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1206 normal SHIPPED_LIVE Moderate: jenkins security update 2016-06-06 23:06:23 UTC
Red Hat Product Errata RHSA-2016:1773 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.10 security, bug fix, and enhancement update 2016-08-24 23:41:18 UTC

Description Andrej Nemec 2016-05-12 08:32:10 UTC
The following flaw was found in Jenkins:

Users with extended read access could access encrypted secrets stored directly in the configuration of those items.

As a side-effect of this change, copying a job that contains secrets in its configuration now requires the Configure permission on that job.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2016-05-11

Comment 1 Andrej Nemec 2016-05-12 08:39:15 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1335427]

Comment 2 Fedora Update System 2016-05-21 20:28:28 UTC
jenkins-1.651.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-26 21:53:10 UTC
jenkins-1.625.3-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-26 22:19:41 UTC
jenkins-1.609.3-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 errata-xmlrpc 2016-06-06 19:07:09 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 3.2
  Red Hat OpenShift Enterprise 3.1

Via RHSA-2016:1206 https://access.redhat.com/errata/RHSA-2016:1206

Comment 7 errata-xmlrpc 2016-08-24 19:45:38 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:1773 https://rhn.redhat.com/errata/RHSA-2016-1773.html


Note You need to log in before you can comment on or make changes to this bug.